<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>Figure (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Figure (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Figure.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/FigureEvent.html" title="class in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/Figure.html" target="_top">Frames</a></li>
<li><a href="Figure.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">jdraw.framework</div>
<h2 title="Interface Figure" class="title">Interface Figure</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>java.lang.Cloneable, java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Figure</span>
extends java.io.Serializable, java.lang.Cloneable</pre>
<div class="block">Base interface for all figures implemented in the graphic editor.
 Every Figure-type has to implement this interface.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#addFigureListener-jdraw.framework.FigureListener-">addFigureListener</a></span>(<a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework">FigureListener</a>&nbsp;listener)</code>
<div class="block">Adds the specified figure listener to receive figure events from this
 figure.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#clone--">clone</a></span>()</code>
<div class="block">Returns a clone of this figure.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#contains-int-int-">contains</a></span>(int&nbsp;x,
        int&nbsp;y)</code>
<div class="block">Tests whether the mouse coordinates are contained in the figure.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#draw-java.awt.Graphics-">draw</a></span>(java.awt.Graphics&nbsp;g)</code>
<div class="block">draw is called when the figure has to be drawn.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.awt.Rectangle</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#getBounds--">getBounds</a></span>()</code>
<div class="block">Returns the bounds of a figure.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../jdraw/framework/FigureHandle.html" title="interface in jdraw.framework">FigureHandle</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#getHandles--">getHandles</a></span>()</code>
<div class="block">Returns a list of handles.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#move-int-int-">move</a></span>(int&nbsp;dx,
    int&nbsp;dy)</code>
<div class="block">Moves the figure.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#removeFigureListener-jdraw.framework.FigureListener-">removeFigureListener</a></span>(<a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework">FigureListener</a>&nbsp;listener)</code>
<div class="block">Removes the specified figure listener so that it no longer receives
 figure events from this figure.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/Figure.html#setBounds-java.awt.Point-java.awt.Point-">setBounds</a></span>(java.awt.Point&nbsp;origin,
         java.awt.Point&nbsp;corner)</code>
<div class="block">Changes the bounds of the figure.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="draw-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>draw</h4>
<pre>void&nbsp;draw(java.awt.Graphics&nbsp;g)</pre>
<div class="block">draw is called when the figure has to be drawn.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - Graphics object on which figure has to be drawn.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Graphics</code></dd>
</dl>
</li>
</ul>
<a name="move-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>move</h4>
<pre>void&nbsp;move(int&nbsp;dx,
          int&nbsp;dy)</pre>
<div class="block">Moves the figure. The figure has to adjust its coordinates when this
 method is called, and registered figure listeners have to be notified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dx</code> - move distance in x direction (argument in pixels)</dd>
<dd><code>dy</code> - move distance in y direction (argument in pixels)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/Figure.html#addFigureListener-jdraw.framework.FigureListener-"><code>addFigureListener(jdraw.framework.FigureListener)</code></a></dd>
</dl>
</li>
</ul>
<a name="contains-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>boolean&nbsp;contains(int&nbsp;x,
                 int&nbsp;y)</pre>
<div class="block">Tests whether the mouse coordinates are contained in the figure. contains
 is called when the mouse is pressed in the grafic in order to decide
 which figure has to be selected.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x-coordinate of mouse position</dd>
<dd><code>y</code> - y-coordinate of mouse position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><tt>true</tt>, if coordinates are contained in the figure,
         <tt>false</tt> otherwise</dd>
</dl>
</li>
</ul>
<a name="setBounds-java.awt.Point-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBounds</h4>
<pre>void&nbsp;setBounds(java.awt.Point&nbsp;origin,
               java.awt.Point&nbsp;corner)</pre>
<div class="block">Changes the bounds of the figure. The figure has to adjust its size and
 position when this method is called, and registered figure listeners have
 to be notified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>origin</code> - the new origin</dd>
<dd><code>corner</code> - the new corner</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/Figure.html#addFigureListener-jdraw.framework.FigureListener-"><code>addFigureListener(jdraw.framework.FigureListener)</code></a></dd>
</dl>
</li>
</ul>
<a name="getBounds--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBounds</h4>
<pre>java.awt.Rectangle&nbsp;getBounds()</pre>
<div class="block">Returns the bounds of a figure. The bounds of a figure is a rectangle
 which contains the figure.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>bounds of the figure</dd>
</dl>
</li>
</ul>
<a name="getHandles--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandles</h4>
<pre>java.util.List&lt;<a href="../../jdraw/framework/FigureHandle.html" title="interface in jdraw.framework">FigureHandle</a>&gt;&nbsp;getHandles()</pre>
<div class="block">Returns a list of handles. Handles are used to manipulate a figure. If
 the figure does not support handles, <tt>null</tt> may be returned as
 result.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of handles (may be null if handles are not supported)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/FigureHandle.html" title="interface in jdraw.framework"><code>FigureHandle</code></a></dd>
</dl>
</li>
</ul>
<a name="addFigureListener-jdraw.framework.FigureListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFigureListener</h4>
<pre>void&nbsp;addFigureListener(<a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework">FigureListener</a>&nbsp;listener)</pre>
<div class="block">Adds the specified figure listener to receive figure events from this
 figure. If listener is null, no exception is thrown and no action is
 performed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - the figure listener.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework"><code>FigureListener</code></a></dd>
</dl>
</li>
</ul>
<a name="removeFigureListener-jdraw.framework.FigureListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFigureListener</h4>
<pre>void&nbsp;removeFigureListener(<a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework">FigureListener</a>&nbsp;listener)</pre>
<div class="block">Removes the specified figure listener so that it no longer receives
 figure events from this figure. This method performs no function, nor
 does it throw an exception, if the listener specified by the argument was
 not previously added to this figure. If listener is null, no exception is
 thrown and no action is performed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - the figure listener.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework"><code>FigureListener</code></a></dd>
</dl>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clone</h4>
<pre><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;clone()</pre>
<div class="block">Returns a clone of this figure.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>clone of figure</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Figure.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/FigureEvent.html" title="class in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/Figure.html" target="_top">Frames</a></li>
<li><a href="Figure.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
